--- setup.mouse.orig	2008-03-19 21:28:08.000000000 +0000
+++ setup.mouse	2009-05-14 20:16:30.000000000 +0100
@@ -1,5 +1,12 @@
 #!/bin/sh
 #BLURB="Configure the console mouse support (GPM)."
+
+# These platforms are headless so we don't need to configure
+# this package.
+#
+# Silently exit if we find ourselves on one of these platforms
+egrep -q "SheevaPlug" /proc/cpuinfo > /dev/null 2>&1 && exit
+
 T_PX=$1
 TMP=/var/log/setup/tmp
 GPM=/usr/sbin/gpm
@@ -21,27 +28,8 @@
 information about the mouse to set the correct protocol for gpm, the Linux \
 mouse server.  Please select a mouse type \
 from the list below:" 20 76 8 \
- "ps2" "PS/2 port mouse (most desktops and laptops)" \
- "usb" "USB connected mouse" \
- "imps2" "Microsoft PS/2 Intellimouse" \
- "exps2" "Intellimouse Explorer PS/2" \
- "bare" "2 button Microsoft compatible serial mouse" \
- "ms" "3 button Microsoft compatible serial mouse" \
- "mman" "Logitech serial MouseMan and similar devices" \
- "msc" "MouseSystems serial (most 3 button serial mice)" \
- "pnp" "Plug and Play (serial mice that do not work with ms)" \
- "ms3" "Microsoft serial Intellimouse" \
- "netmouse" "Genius Netmouse on PS/2 port" \
- "logi" "Some serial Logitech devices" \
- "logim" "Make serial Logitech behave like msc" \
- "atibm" "ATI XL busmouse (mouse card)" \
- "inportbm" "Microsoft busmouse (mouse card)" \
- "logibm" "Logitech busmouse (mouse card)" \
- "ncr" "A pointing pen (NCR3125) on some laptops" \
- "twid" "Twiddler keyboard, by HandyKey Corp" \
- "genitizer" "Genitizer tablet (relative mode)" \
- "js" "Use a joystick as a mouse" \
- "wacom" "Wacom serial graphics tablet" \
+ "PS2" "Bus/PS2 mouse (ARM Versatile)" \
+ "USB" "USB Mouse (Castle Iyonix)" \
  2> $TMP/mtype
  if [ ! $? = 0 ]; then
   rm -f $TMP/mtype
@@ -53,56 +41,18 @@
   unset MOUSE_TYPE
  fi
  rm -f $TMP/mtype
- if [ "$MOUSE_TYPE" = "bare" -o "$MOUSE_TYPE" = "ms" \
- -o "$MOUSE_TYPE" = "mman" -o "$MOUSE_TYPE" = "msc" \
- -o "$MOUSE_TYPE" = "genitizer" \
- -o "$MOUSE_TYPE" = "pnp" -o "$MOUSE_TYPE" = "ms3" \
- -o "$MOUSE_TYPE" = "logi" -o "$MOUSE_TYPE" = "logim" \
- -o "$MOUSE_TYPE" = "wacom" -o "$MOUSE_TYPE" = "twid" ]; then
-  dialog --title "SELECT SERIAL PORT" --menu "Your mouse requires a \
-serial port.  Which one would you like to use?" 12 50 4 \
-  "/dev/ttyS0" "(COM1: under DOS)" \
-  "/dev/ttyS1" "(COM2: under DOS)" \
-  "/dev/ttyS2" "(COM3: under DOS)" \
-  "/dev/ttyS3" "(COM4: under DOS)" 2> $TMP/mport
-  if [ ! $? = 0 ]; then
-   rm -f $TMP/mport
-   exit
-  fi
-  MDEVICE="`cat $TMP/mport`"
-  SHORT_MDEVICE=`basename $MDEVICE`
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf $SHORT_MDEVICE mouse )
-  # For the serial mice, the protocol is the same as the mouse type:
-  MTYPE=$MOUSE_TYPE
-  rm -f $TMP/mport
- elif [ "$MOUSE_TYPE" = "ps2" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf psaux mouse )
-  MTYPE="ps2"
- elif [ "$MOUSE_TYPE" = "ncr" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf psaux mouse )
-  MTYPE="ncr"
- elif [ "$MOUSE_TYPE" = "exps2" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf psaux mouse )
-  MTYPE="exps2"
- elif [ "$MOUSE_TYPE" = "imps2" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf psaux mouse )
-  MTYPE="imps2"
- elif [ "$MOUSE_TYPE" = "logibm" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf logibm mouse )
-  MTYPE="ps2"
- elif [ "$MOUSE_TYPE" = "atibm" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf atibm mouse )
-  MTYPE="ps2"
- elif [ "$MOUSE_TYPE" = "inportbm" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf inportbm mouse )
-  MTYPE="bm"
- elif [ "$MOUSE_TYPE" = "js" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf js0 mouse )
-  MTYPE="js"
- elif [ "$MOUSE_TYPE" = "usb" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf input/mice mouse )
-  MTYPE="imps2"
- fi
+
+# I know how nasty this code looks now but I don't want to patch
+# this script more than I have to.
+# This is for Linux 2.4.  ARMedslack/MoZes (me) doesn't "support" 2.4. This is just for
+# future reference:
+#   RiscPC)      ( cd $T_PX/dev ; rm -f mouse ; ln -sf riscpcmouse mouse ) ; MOUSE_TYPE=busmouse ;;
+#
+ case "${MOUSE_TYPE}" in
+   PS2)      ( cd $T_PX/dev ; rm -f mouse ; ln -sf input/mice mouse ) ; MTYPE=ps2 ;;
+   USB)      ( cd $T_PX/dev ; rm -f mouse ; ln -sf input/mice mouse ) ; MTYPE=ps2 ;;
+ esac
+
 fi
 
 # OK, we know enough now to create a sample rc.gpm:
